using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.CM
{
    /// <summary>
    /// 导航属性： 应急响应情况
    /// </summary>
    [Description("导航属性： 应急响应情况")]
    public class T_CM_RSP_ESTIMATE_CONDITIONS : MesEntityBase
    {
        /// <summary>
        /// 应急响应评估ID
        /// </summary>
        [Description("应急响应评估ID")]
        [DataFieldForeignKey("Nav_RspEstimate", "Nav_ListRspConditions")]
        public Guid ESTIMATE_ID { get; set; }

        /// <summary>
        /// 导航属性：应急响应评估记录
        /// </summary>
        [Description("导航属性：应急响应评估记录")]
        public virtual T_CM_RSP_ESTIMATE Nav_RspEstimate { get; set; }

        /// <summary>
        /// 应急响应评估项目ID
        /// </summary>
        [Description("应急响应评估项目")]
        [DataFieldForeignKey("Nav_RspEstimateCondition")]
        public Guid CONDITION_ID { get; set; }

        /// <summary>
        /// 导航属性：应急响应评估记录
        /// </summary>
        [Description("导航属性：应急响应评估项目")]
        public virtual T_CM_RSP_ESTIMATE_CONDITION Nav_RspEstimateCondition { get; set; }

        /// <summary>
        /// 评估项目 结果 
        /// </summary>
        [Description("结果")]
        public CMRspConditionStatus? RSP_CONDITION_STATUS { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int ROW_NO { get; set; }
    }
}